#
# spec file for package NX (Version 1.5.0)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc41 libjpeg libjpeg-devel libltdl libmudflap41 libnscd libpng libpng-devel libstdc++41 libstdc++41-devel libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-proto-devel xorg-x11-util-devel zlib zlib-devel

Name:           NX
%if %suse_version > 1010
BuildRequires:  gcc-c++ libjpeg-devel libpng-devel openssl-devel xorg-x11-proto-devel xorg-x11-util-devel
%else
%if %suse_version > 910
BuildRequires:  gcc-c++ libjpeg-devel libpng-devel openssl-devel xorg-x11-devel
%else
BuildRequires:  XFree86-devel gcc-c++ libjpeg-devel libpng-devel openssl-devel
%endif
%endif
License:        LGPL v2.1 or later; Other uncritical OpenSource License
Url:            http://www.nomachine.com/sources.php
Group:          System/X11/Servers/XF86_4
Version:        1.5.0
Release:        77
Summary:        Proxy System for X11
#Compression Libraries and Proxy Sources
Source:         nxproxy-%{version}-9.tar.gz
Source1:        nxcomp-%{version}-80.tar.gz
Source2:        nxcompext-%{version}-20.tar.gz
#X11 Support Libraries and Agent Sources
Source5:        nx-X11-%{version}-21.tar.gz
Source6:        nxagent-%{version}-112.tar.gz
#RFB Agent Sources
Source10:       nxviewer-%{version}-15.tar.gz
#RDP Agent Sources
Source11:       nxdesktop-%{version}-78.tar.gz
#NX Example Scripts
Source14:       nxscripts-%{version}-11.tar.gz
Source15:       nxagent
Source16:       docs.tar.bz2
Patch:          NX.diff
Patch1:         NX-noansi.diff
Patch2:         p_XFree86-4.3-ppc64.diff
Patch3:         NX-1.5.diff
Patch4:         NX-bufferoverflow.diff
Patch5:         NX-data-range.patch
Patch6:         gcc4-friends.patch
Patch7:         ppc-no-signed-char.diff
Patch8:         xorg-CAN-2005-2495.patch
Patch9:         xorg7.diff
Patch10:        bugzilla-154928-integer-overflows.patch
Patch11:        bugzilla-190902-handle-malformed-pcf-files.patch
Patch15:        CVE-2007-6427-xinput.diff
Patch16:        CVE-2007-6428-TOG-cup.diff
Patch17:        CVE-2007-6429-shm_evi.diff
Patch18:        CVE-2008-0006-pcf_font.diff
NoSource:       5
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define my_provides /tmp/my-provides
%define my_requires /tmp/my-requires

%description
NX provides a proxy system for the X Window System.



Authors:
--------
    Nomachine <www.nomachine.com>

%prep
%setup -n nxproxy -b1 -b2 -b5 -b6 -b10 -b11 -b14 
cd $RPM_BUILD_DIR
%patch
%ifarch ia64
pushd nx-X11
%patch1
popd
%endif
%ifarch ppc64
pushd nx-X11
%patch2 -p1
popd
%endif
%patch3
%patch4
%patch5 -p1
%patch6
%patch7
pushd nx-X11
%patch8
popd
%if %{suse_version} > 1010
%patch9
%endif
pushd nx-X11/extras/freetype2
%patch10 -p1
%patch11 -p1
popd
pushd nx-X11/programs/Xserver
%patch15 -p4
%patch16 -p1
%patch17 -p1
%patch18 -p1
popd
ln -s rdesktop.1 nxdesktop/doc/nxdesktop.1
cat >> nx-X11/config/cf/host.def << EOF
#ifdef  i386Architecture
#undef  DefaultGcc2i386Opt
#define DefaultGcc2i386Opt      $RPM_OPT_FLAGS GccAliasingArgs
#endif
#ifdef  MipsArchitecture
#undef  DefaultGcc2MipsOpt
#define DefaultGcc2MipsOpt      $RPM_OPT_FLAGS GccAliasingArgs
#endif
#ifdef s390xArchitecture
#undef OptimizedCDebugFlags
#define OptimizedCDebugFlags	$RPM_OPT_FLAGS GccAliasingArgs
#endif
#define HasZlib	YES
%if %{suse_version} > 1010
/* X.Org 7 changes */
#define XLocaleDir /usr/share/X11/locale
#define DefaultRGBDatabase /usr/share/X11/rgb
#define ServerConfigDir /usr/%{_lib}/xserver
#define BuildLoadableXlibI18n NO
REQUIREDI18NLIBS = DlLibrary
%endif
EOF

%build
export CFLAGS="%{optflags}" 
export CXXFLAGS="%{optflags}" 
cd $RPM_BUILD_DIR
# build Compression Library and Proxy
for i in nxcomp nxproxy; do
  pushd $i; autoreconf -fi; ./configure; make; popd
done
# prepare Extended Compression Library
pushd nxcompext
  autoreconf -fi
popd
# build X11 Support Libraries and Agents
pushd nx-X11
  make World
popd
# build Extended Compression Library
pushd nxcompext
  ./configure; make
popd
# build RFB Agent
if ls /usr/X11R6/%_lib/libXp.so*; then
  cp -a /usr/X11R6/%_lib/libXp.so* nx-X11/exports/lib/
fi
for dir in nxviewer/nxviewer nxviewer/nxpasswd; do
  pushd $dir; xmkmf -a; make 2> /dev/null; popd
done
# build RDP Agent
pushd nxdesktop
  ./configure --prefix=/usr --sharedir=/usr/share/NX
  make
popd

%install
cd $RPM_BUILD_DIR
mkdir -p $RPM_BUILD_ROOT/usr/bin/
mkdir -p $RPM_BUILD_ROOT/usr/lib/NX/lib
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man1
# install X11 Support Libraries and Agents
cp -a nx-X11/lib/X11/libX11.so.* \
      nx-X11/lib/Xext/libXext.so.* \
      nx-X11/lib/Xrender/libXrender.so.* \
      $RPM_BUILD_ROOT/usr/lib/NX/lib
install -m 755 nx-X11/programs/Xserver/nxagent \
  $RPM_BUILD_ROOT/usr/lib/NX
install -m 755 $RPM_SOURCE_DIR/nxagent $RPM_BUILD_ROOT/usr/bin
# install Compression Libraries and Proxy
cp -a nxcomp/libXcomp.so.* $RPM_BUILD_ROOT/usr/lib/NX/lib
cp -a nxcompext/libXcompext.so.* $RPM_BUILD_ROOT/usr/lib/NX/lib
install -m 755 nxproxy/nxproxy $RPM_BUILD_ROOT/usr/lib/NX
ln -snf nxagent $RPM_BUILD_ROOT/usr/bin/nxproxy
# install RFB Agent
for dir in nxviewer/nxviewer nxviewer/nxpasswd; do
 pushd $dir; make install DESTDIR=$RPM_BUILD_ROOT; popd
done
if ls $RPM_BUILD_ROOT/usr/bin/nxviewer; then
  mv $RPM_BUILD_ROOT/usr/bin/nxviewer $RPM_BUILD_ROOT/usr/lib/NX
else
  mv $RPM_BUILD_ROOT/usr/X11R6/bin/nxviewer $RPM_BUILD_ROOT/usr/lib/NX
fi
ln -snf nxagent $RPM_BUILD_ROOT/usr/bin/nxviewer
chmod 755 $RPM_BUILD_ROOT/usr/bin/nxviewer
if ls $RPM_BUILD_ROOT/usr/X11R6/bin/nxpasswd; then
  mv $RPM_BUILD_ROOT/usr/X11R6/bin/nxpasswd $RPM_BUILD_ROOT/usr/bin
fi
# install RDP Agent
pushd nxdesktop
  make install DESTDIR=$RPM_BUILD_ROOT
  mv $RPM_BUILD_ROOT/usr/bin/nxdesktop $RPM_BUILD_ROOT/usr/lib/NX
  ln -snf nxagent $RPM_BUILD_ROOT/usr/bin/nxdesktop
  chmod 755 $RPM_BUILD_ROOT/usr/bin/nxdesktop
  mv $RPM_BUILD_ROOT/usr/man/man1/nxdesktop.1 \
     $RPM_BUILD_ROOT/usr/share/man/man1/nxdesktop.1
  rm -rf $RPM_BUILD_ROOT/usr/man 
popd
# install scripts
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/packages/NX
# Bug #156308
chmod 755 nxscripts/{run-nxproxy-reversed,run-nxproxy-server}
cp -r nxscripts $RPM_BUILD_ROOT/usr/share/doc/packages/NX
# documentation and license
tar xjf $RPM_SOURCE_DIR/docs.tar.bz2 -C $RPM_BUILD_ROOT/usr/share/doc/packages/NX
install -m 644 nxcomp/LICENSE   $RPM_BUILD_ROOT/usr/share/doc/packages/NX
for i in nxcomp nxdesktop; do
  mkdir $RPM_BUILD_ROOT/usr/share/doc/packages/NX/$i
done
install -m 644 nxcomp/README    $RPM_BUILD_ROOT/usr/share/doc/packages/NX/nxcomp
install -m 644 nxdesktop/README $RPM_BUILD_ROOT/usr/share/doc/packages/NX/nxdesktop
rm -rf nxdesktop/doc/CVS
chmod 644 nxdesktop/doc/keymap-names.txt
cp -r nxdesktop/doc $RPM_BUILD_ROOT/usr/share/doc/packages/NX/nxdesktop
# avoid bogus dependencies - Bug #212276
cat << EOF > %{my_provides}
#!/bin/sh
%{__find_provides} | sed -e 's/libX11\S*//g' -e 's/libXext\S*//g' -e 's/libXrender\S*//g'
EOF
chmod 755 %{my_provides}
%define __find_provides %{my_provides}
cat << EOF > %{my_requires}
#!/bin/sh
%{__find_requires} | sed -e 's/libX11\S*//g' -e 's/libXext\S*//g' -e 's/libXrender\S*//g'
EOF
chmod 755 %{my_requires}
%define __find_requires %{my_requires}

%clean
rm -rf %{buildroot}
rm -f %{my_provides}
rm -f %{my_requires}

%files
%defattr(-,root,root)
%doc /usr/share/doc/packages/NX
/usr/bin/nxagent
/usr/bin/nxdesktop
/usr/bin/nxpasswd
/usr/bin/nxproxy
/usr/bin/nxviewer
%dir /usr/lib/NX
/usr/lib/NX/nxagent
/usr/lib/NX/nxdesktop
/usr/lib/NX/nxproxy
/usr/lib/NX/nxviewer
%dir /usr/lib/NX/lib
/usr/lib/NX/lib/libX11.so.*
/usr/lib/NX/lib/libXcomp.so.*
/usr/lib/NX/lib/libXcompext.so.*
/usr/lib/NX/lib/libXext.so.*
/usr/lib/NX/lib/libXrender.so.*
%dir /usr/share/NX
/usr/share/man/man1/nxdesktop.1.gz
/usr/share/NX/keymaps-windows/

%changelog
* Sun Jan 27 2008 - sndirsch@suse.de
- X.Org security update
  * CVE-2007-6427 - Xinput extension memory corruption.
  * CVE-2007-6428 - TOG-cup extension memory corruption.
  * CVE-2007-6429 - MIT-SHM and EVI extensions integer overflows.
  * CVE-2008-0006 - PCF Font parser buffer overflow.
* Mon Oct 15 2007 - sndirsch@suse.de
- Bug #332445:
  * handle malformed pcf files (Bug #190902)
  * fix several integer overflows. (Bug #154928)
* Tue Nov 07 2006 - ro@suse.de
- fix perms in docfile keymap-names.txt
* Wed Oct 18 2006 - sndirsch@suse.de
- removed bogus libX11/libXext/libXrender provides (Bug #212276)
* Fri Sep 08 2006 - sndirsch@suse.de
- fixed libX11 locale support
* Mon Sep 04 2006 - sndirsch@suse.de
- tried to fix locale support for X.Org 7; disabled for now due
  to linking issues (see host.def in specfile)
- fixed default font path for X.Org 7
- sample scripts:
  * fixed nxproxy host:port options in run-nxagent-server
* Mon Sep 04 2006 - sndirsch@suse.de
- host.def: fixed rgb and SecurityPolicy path for nxagent
- sample scripts:
  * removed no longer available "-D" (desktop) nxagent option
  * removed no longer available log option for $NX_HOST
* Fri Sep 01 2006 - sndirsch@suse.de
- hopefully fixed build cycle by replacing xorg-x11-devel with
  xorg-x11-proto-devel/xorg-x11-util-devel
* Thu Aug 17 2006 - sndirsch@suse.de
- fixed build for X11R6
* Sat Aug 12 2006 - sndirsch@suse.de
- xorg7.diff: adjusted paths to X.Org 7
* Mon Jul 31 2006 - sndirsch@suse.de
- fixed build
* Sun Jul 23 2006 - sndirsch@suse.de
- fixed build for X.Org 7
* Fri Jun 16 2006 - sndirsch@suse.de
- fixed build for SLES9
* Wed Apr 19 2006 - sndirsch@suse.de
- removed XLC_LOCALE files with critical license (Bug #153744)
* Tue Mar 28 2006 - sndirsch@suse.de
- nxcompext:
  * use shared system libz for linking
  * also set CFLAGS/CCFLAGS ("-fPIC") to fix build on s390
* Fri Mar 24 2006 - sndirsch@suse.de
- enabled nxdesktop build on ppc/ppc64 and s390/s390x
* Fri Mar 17 2006 - sndirsch@suse.de
- next try to fix permissions of sample scripts (Bug #156308)
* Thu Mar 09 2006 - sndirsch@suse.de
- fixed permissions of sample scripts (Bug #156308)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Dec 14 2005 - sndirsch@suse.de
- updated to third maintenance release of 1.5.0
  * nxagent:   1.5.0-93 --> 1.5.0-112
  * nxcompext: 1.5.0-18 --> 1.5.0-20
  * nxdesktop: 1.5.0-75 --> 1.5.0-78
  * nxviewer:  1.5.0-14 --> 1.5.0-15
* Fri Dec 09 2005 - sndirsch@suse.de
- updated to the latest stable 1.5.0 release of nx-X11/nxcomp
  * nx-X11: 1.5.0-15    --> 1.5.0-21
  * nxcomp: 1.5.0-65    --> 1.5.0-80
  * nxcompext: 1.5.0-16 --> 1.5.0-18
* Fri Oct 14 2005 - sndirsch@suse.de
- xorg-CAN-2005-2495.patch:
  * This patch fixes an integer overflow in the pixmap handling.
  (CAN-2005-2495) An attacker may be able to exploit this bug to
  execute code remotely. (#113227)
* Sat Oct 08 2005 - sndirsch@suse.de
- updated nxagent/nxdesktop
* Fri Sep 30 2005 - sndirsch@suse.de
- README.SuSE:
  * NX needs to be the same version on client and server (#119296)
* Wed Sep 21 2005 - sndirsch@suse.de
- nxagent: set LD_LIBRARY_PATH correctly
* Wed Aug 17 2005 - sndirsch@suse.de
- updated to the latest stable 1.5.0 release of nxagent/nxdesktop
  * nxagent: 1.5.0-87 --> 1.5.0-90
  * nxdesktop: 1.5.0-59 --> 1.5.0-61
* Mon Aug 15 2005 - sndirsch@suse.de
- NX-data-range.patch:
  * fixes serious compiler warnings (Bug #104610)
* Fri Aug 12 2005 - sndirsch@suse.de
- updated to first maintenance release of NX 1.5.0
  (nxcomp 1.5.0-63 --> nxcomp 1.5.0-65)
  * nxcomp-1.5.0-65
    - Removed the warning issued on parsing the agent option
  'rootless'.  Solves the TR08C00959.
    - MacOSX 10.4 defines socklen_t. Made the definition
  conditional so that we can still support older versions.
  Solves the TR07C00926.
    - Updated the ChangeLog to include references to the solved
  TRs.
  * nxcomp-1.5.0-64
    - Imported the 1.6.0 changes in the maintenance 1.5.0.
    - Removed a wrong assertion that might cause the session to
  fail when the software was compiled with TEST enabled in
  Proxy.cpp.
    - The nxclient dialog process is signaled with SIGKILL on
  Windows, as the SIGTERM is ignored. This solves the
  TR07C00929.
    - Ensured the JPEG error flag is always set before jumping
  out of the Jpeg decompression.
    - Skipped errors encontered setting the TCP_NODELAY flag on
  Mac. Solves TR08C00940.
    - Few cosmetic changes.
* Tue Jul 26 2005 - sndirsch@suse.de
- update nxproxy to stable 1.5.0 version
* Sat Jul 23 2005 - sndirsch@suse.de
- removed obsolete 1.4.0 patches
- updated to stable 1.5.0 release
* Fri Jul 22 2005 - sndirsch@suse.de
- removed patch for non-fatal build warnings, which were never
  reviewed by anyone and nobody is interested in upstream
* Wed Jul 13 2005 - sndirsch@suse.de
- updated to fourth development snapshot of NX 1.5.0
* Tue Jun 28 2005 - sndirsch@suse.de
- ppc-no-signed-char.diff:
  * removed "-fsigned-char" (Bug #93869)
* Fri Jun 24 2005 - sndirsch@suse.de
- updated to third development snapshot of NX 1.5.0
* Mon Jun 06 2005 - sndirsch@suse.de
- updated to second development snapshot of NX 1.5.0
  * support for the GLX extension
  * support for the RANDR extension, to allow users to fully manage
  the geometry of the desktop at run-time
  * fixes related to XDMCP session startup
  * initial support for the shadow framebuffer
  * a new control flow system in the nxcomp library
  * initial integration of the RDP agent with the new NX transport
- obsoletes nx-X11-1.5.0-4-nx-X11-1.5.0-4-GFP1.ksh /
  nxagent-1.5.0-23-nxagent-1.5.0-23-GFP1.ksh
- adjusted NX-1.5.diff
* Fri Jun 03 2005 - sndirsch@suse.de
- nx-X11-1.5.0-4-nx-X11-1.5.0-4-GFP1.ksh/
  nxagent-1.5.0-23-nxagent-1.5.0-23-GFP1.ksh
  * adds support for GLX (unaccelerated)
* Tue May 24 2005 - sndirsch@suse.de
- gcc4-friends.patch
  * fixes new gcc build error:
  "ISO C++ forbids declaration of 'xxx' with no type"
* Sat May 14 2005 - sndirsch@suse.de
- fixed fatal "uninitialized" warnings
* Fri May 13 2005 - sndirsch@suse.de
- use norootforbuild
* Thu May 05 2005 - sndirsch@suse.de
- #neededforbuild: audiofile, audiofile-devel not required
* Thu Apr 28 2005 - sndirsch@suse.de
- update to snapshot 1.5.0 release
  nx-X11-1.4.0-10.tar.gz    --> nx-X11-1.5.0-4.tar.gz
  nxagent-1.4.0-65.tar.gz   --> nxagent-1.5.0-23.tar.gz
  nxcomp-1.4.0-31.tar.gz    --> nxcomp-1.5.0-20.tar.gz
  nxcompext-1.4.0-3.tar.gz  --> nxcompext-1.5.0-4.tar.gz
  nxdesktop-1.4.0-61.tar.gz --> nxdesktop-1.5.0-34.tar.gz
  nxproxy-1.4.0-2.tar.gz    --> nxproxy-1.5.0-5.tar.gz
  nxscripts-1.4.0-3.tar.gz  --> nxscripts-1.5.0-9.tar.gz
  nxviewer-1.4.0-4.tar.gz   --> nxviewer-1.5.0-1.tar.gz
- obsoletes NX-no-strict-aliasing.diff
- adjusted NX.diff
- NX-1.5.diff: fixed build
* Mon Apr 25 2005 - sndirsch@suse.de
- NX-bufferoverflow.diff:
  * fixes buffer overflow
* Thu Apr 14 2005 - sbrabec@suse.cz
- Added audiofile-devel to neededforbuild.
* Mon Apr 04 2005 - schwab@suse.de
- Build with -fno-strict-aliasing.
* Fri Feb 11 2005 - sndirsch@suse.de
- update to latest 1.4.0 sources:
  * nx-X11-1.4.0-7.tar.gz --> nx-X11-1.4.0-10.tar.gz
* Wed Feb 09 2005 - sndirsch@suse.de
- update to latest 1.4.0 sources:
  * nxagent-1.4.0-64.tar.gz --> nxagent-1.4.0-65.tar.gz
  * nxcomp-1.4.0-30.tar.gz  --> nxcomp-1.4.0-31.tar.gz
* Sun Jan 02 2005 - sndirsch@suse.de
- update to latest 1.4.0 sources:
  * nx-X11-1.4.0-6.tar.gz     --> nx-X11-1.4.0-7.tar.gz
  * nxagent-1.4.0-63.tar.gz   --> nxagent-1.4.0-64.tar.gz
  * nxcomp-1.4.0-29.tar.gz    --> nxcomp-1.4.0-30.tar.gz
  * nxdesktop-1.4.0-57.tar.gz --> nxdesktop-1.4.0-61.tar.gz
* Fri Nov 05 2004 - sndirsch@suse.de
- updated to 1.4.0 final release (nx-X11, nxagent, nxcomp,
  nxdesktop, nxviewer)
* Sat Sep 25 2004 - sndirsch@suse.de
- updated to 1.4.0 snapshot release 6 (nx-X11, nxagent, nxcomp,
  nxdesktop):
  * the protocol errors
  Error: Failure decoding data in context [N].
  Error: Please report this problem to support personnel
  don't occur as long as you don't use different NX (snapshot)
  releases on client and server
* Tue Sep 14 2004 - sndirsch@suse.de
- downgraded to 1.4.0 snaphot release 4 again (nxagent, nxcomp)
  as I could reproduce the protocol errors, which prevent nxproxy
  from working:
  Error: Failure decoding data in context [N].
  Error: Please report this problem to support personnel.
* Sat Sep 11 2004 - sndirsch@suse.de
- updated to 1.4.0 snaphot release 5 (nxagent, nxcomp)
* Sat Sep 11 2004 - sndirsch@suse.de
- removed no longer required sources/patches (nxauth, nxcompsh,
  nxssh, NX-conf.diff)
- adjusted NX.diff
- removed dummy config tool NXDialog
* Tue Sep 07 2004 - sndirsch@suse.de
- removed stuff, which isn't used by FreeNX/knx (nxdarwin, nxesd,
  nxkbd, nxkdrive, nxrun, nxuexec, nxwin)
* Tue Sep 07 2004 - sndirsch@suse.de
- removed dummy config tool nxclient (provided by FreeNX now)
* Mon Sep 06 2004 - sndirsch@suse.de
- downgraded to 1.4.0 snaphot release 4 (backward compatibility
  problems in snapshot release 5)
* Sat Sep 04 2004 - sndirsch@suse.de
- update to latest 1.4.0 snapshot release
* Thu Sep 02 2004 - sndirsch@suse.de
- README.SuSE:
  * added link to NX interview with Fabian Franz/Kurt Pfeifle
  (english version on OSnews)
  * nxsamples --> nxscripts
* Thu Aug 19 2004 - sndirsch@suse.de
- README.SuSE:
  * added link to NX interview with Fabian Franz/Kurt Pfeifle
* Wed Aug 18 2004 - sndirsch@suse.de
- enabled build of nxkbd, nxuexec
* Wed Aug 18 2004 - sndirsch@suse.de
- updated to 1.4.0 snapshot release
  * disabled build of nxdesktop for ppc/ppc64, s390/s390x
  * added sources for nxkbd, nxkdrive, nxuexec
- enabled build of nxesd (requires audiofile in #neededforbuild)
* Mon Jul 26 2004 - sndirsch@suse.de
- docs.tar.bz2
  * run-nxapp: DISPLAY needs to be set to ":$NX_PORT"
  * run-nxagent-client/run-nxagent-server: use of cookies
  * README: nxproxy/nxagent connection works now with Xserver
  access control restrictions
* Tue Jul 20 2004 - schwab@suse.de
- Use autoreconf.
* Wed Jun 30 2004 - sndirsch@suse.de
- improved documentation and sample scripts for nxproxy/nxproxy and
  nxproxy/nxagent connections
* Mon Jun 28 2004 - sndirsch@suse.de
- added dummy config tools nxclient/NXdialog
- added more documentation and some sample scripts
* Mon May 31 2004 - sndirsch@suse.de
- NX.diff/p_XFree86-4.3-ppc64.diff:
  * fixed build on ppc64
* Mon May 24 2004 - sndirsch@suse.de
- fixed nxviewer build
* Fri May 21 2004 - sndirsch@suse.de
- added presentation about NX by Kurt Pfeifle
- install X11 libs correctly (symlinks should remain symlinks)
* Wed May 19 2004 - sndirsch@suse.de
- added README, which includes some NX related links
* Wed May 19 2004 - sndirsch@suse.de
- removed some duplicate or useless documentation
* Tue May 18 2004 - sndirsch@suse.de
- added documentation
* Tue May 18 2004 - sndirsch@suse.de
- using wrapper scripts for nxagent, nxdesktop, nxproxy, nxviewer;
  binaries moved to /usr/lib/NX
- using /usr/share/NX/keymaps-windows/ for keyboard tables now
- included X11, Xext, Xrender libs (/usr/lib/NX/lib)
- moved libXcomp, libXcompext to /usr/lib/NX/lib
- moved nxauth, nxpasswd to /usr/bin
- moved nxauth manual page to /usr/share/man/man1
- removed shared libXcompsh (nxrun is statically linked)
* Mon May 17 2004 - sndirsch@suse.de
- fix build on non-i386 archs
* Fri May 14 2004 - sndirsch@suse.de
- created package
